- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libfreehand::FHPathElement Class Referenceabstract

`#include <FHPath.h>`

Inheritance diagram for libfreehand::FHPathElement:

## Public Member Functions
| FHPathElement ()
virtual | ~FHPathElement ()
virtual void | writeOut (librevenge::RVNGPropertyListVector &vec) const =0
virtual void | transform (const FHTransform &trafo)=0
virtual FHPathElement * | clone ()=0

## Constructor & Destructor Documentation

libfreehand::FHPathElement::FHPathElement | ( |  | ) |
| inline

virtual libfreehand::FHPathElement::~FHPathElement | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual FHPathElement* libfreehand::FHPathElement::clone | ( |  | ) |
| pure virtual

Implemented in libfreehand::FHArcToElement, libfreehand::FHQuadraticBezierToElement, libfreehand::FHCubicBezierToElement, libfreehand::FHLineToElement, libfreehand::FHPath, and libfreehand::FHMoveToElement.

virtual void libfreehand::FHPathElement::transform | ( | const FHTransform & | trafo | ) |
| pure virtual

Implemented in libfreehand::FHArcToElement, libfreehand::FHQuadraticBezierToElement, libfreehand::FHCubicBezierToElement, libfreehand::FHLineToElement, libfreehand::FHPath, and libfreehand::FHMoveToElement.

virtual void libfreehand::FHPathElement::writeOut | ( | librevenge::RVNGPropertyListVector & | vec | ) | const
| pure virtual

Implemented in libfreehand::FHArcToElement, libfreehand::FHQuadraticBezierToElement, libfreehand::FHCubicBezierToElement, libfreehand::FHLineToElement, libfreehand::FHPath, and libfreehand::FHMoveToElement.

The documentation for this class was generated from the following file:

- FHPath.h